Subject: Re: undefined reference to 'MessageBoxA@16'
From: [email-masked] (James Paul Morgan)

11 Apr 1997 02:54:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: "R. Wester" <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Thu, 10 Apr 1997, R. Wester wrote:

> when compiling and linking:
> 
> #include <windows.h>
> {SNIP} 
> I get the error message:
> 
>     C:\temp/cc0010001.o(.text+0x26):wintest.c: undefined reference to 
>               'MessageBoxA@16'
> 
> Can anybody tell me what is wrong?
>
You're not linking against the right library.  Unfortunately, I'm not 
100% positive which library it is.  However, my windowing stuff is linked 
against: -lcomdlg32 -luser32 -ladvapi32 -lgdi32.

Unless someone else can tell you which one specifically, I'd suggest 
linking against each one individually until the message goes away.  :)

See ya around the Mulberry bush.

--James

:)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".